BEDMAP(1)

NAME
bedmap - manual page for bedmap 2.4.42+dfsg

DESCRIPTION
bedmap

    citation: http://bioinformatics.oxfordjournals.org/content/28/14/1919.abstract

    https://doi.org/10.1093/bioinformatics/bts277

version:
    2.4.42 (typical)

authors:
    Shane Neph & Scott Kuehn

    USAGE: bedmap [process-flags] [overlap-option] <operation(s)...> <ref-file> [map-file]

    Any input file must be sorted per the sort-bed utility. The program accepts BED and Starch file formats. You may use '-' for a BED file to indicate the input comes from stdin.

    Traverse <ref-file>, while applying <operation(s)> on qualified, overlapping elements from

<map-file>.
    Output is one line for each line in <ref-file>, sent to standard output. There

    is no limit on the number of operations you can specify to compute in one bedmap call.

    If <map-file> is omitted, the given file is treated as both the <ref-file> and <map-file>.

    This usage is more efficient than specifying the same file twice.

    Arguments may be given in any order before the input file(s).

    Process Flags:

--------

--chrom <chromosome>
    Jump to and process data for given <chromosome> only.

--delim <delim>
    Change output delimiter from '|' to <delim> between columns (e.g. '\t').

--ec
    Error check all input files (slower).

--faster
    (advanced) Strong input assumptions are made. Compatible with: --bp-ovr, --range, --fraction-both, and --exact overlap options only.

--header
    Accept headers (VCF, GFF, SAM, BED, WIG) in any input file.

--help
    Print this message and exit successfully.

--min-memory
    Minimize memory usage (slower).

--multidelim <delim>
    Change delimiter of multi-value output columns from ';' to <delim>.

--prec <int>
    Change the post-decimal precision of scores to <int>. 0 <= <int>.

--sci
    Use scientific notation for score outputs.

--skip-unmapped
    Print no output for a row with no mapped elements.

--sweep-all
    Ensure <map-file> is read completely (helps to prevent broken pipes).

--unmapped-val <val>
    Print <val> on unmapped --echo-map* and --min/max-element* operations. The default is to print nothing.

--version
    Print program information.

Overlap Options (At most, one may be selected.
    By default, --bp-ovr 1 is used):

--------

--bp-ovr <int>
    Require <int> bp overlap between elements of input files.

--exact
    First 3 fields from <map-file> must be identical to <ref-file>'s.

--fraction-both <val>
    Both --fraction-ref <val> and --fraction-map <val> must be true to qualify as overlapping. Expect 0 < val <= 1.

--fraction-either <val>
    Either --fraction-ref <val> or --fraction-map <val> must be true to qualify as overlapping. Expect 0 < val <= 1.

--fraction-map <val>
    The fraction of the element's size from <map-file> that must overlap the element in <ref-file>. Expect 0 < val <= 1.

--fraction-ref <val>
    The fraction of the element's size from <ref-file> that must overlap an element in <map-file>. Expect 0 < val <= 1.

--range <int>
    Grab <map-file> elements within <int> bp of <ref-file>'s element, where 0 <= int. --range 0 is an alias for --bp-ovr 1.

Operations:
    (Any number of operations may be used any number of times.)

----------

    SCORE:

    <ref-file> must have at least 3 columns and <map-file> 5 columns.

--cv
    The result of --stdev divided by the result of --mean.

--kth <val>
    Generalized median. Report the value, x, such that the fraction <val> of overlapping elements' scores from <map-file> is less than x, and the fraction 1-<val> of scores is greater than x. 0 < val <= 1.

--mad <mult=1>
    The median absolute deviation of overlapping elements in <map-file>. Multiply mad score by <mult>. 0 < mult, and mult is 1 by default.

--max
    The highest score from overlapping elements in <map-file>.

--max-element
    A (non-random) highest-scoring and overlapping element in <map-file>.

--max-element-rand
    A random highest-scoring and overlapping element in <map-file>.

--mean
    The average score from overlapping elements in <map-file>.

--median
    The median score from overlapping elements in <map-file>.

--min
    The lowest score from overlapping elements in <map-file>.

--min-element
    A (non-random) lowest-scoring and overlapping element in <map-file>.

--min-element-rand
    A random lowest-scoring and overlapping element in <map-file>.

--stdev
    The square root of the result of --variance.

--sum
    Accumulated scores from overlapping elements in <map-file>.

--tmean <low> <hi>
    The mean score from overlapping elements in <map-file>, after ignoring the bottom <low> and top <hi> fractions of those scores. 0 <= low <= 1. 0 <= hi <= 1. low+hi <= 1.

--variance
    The variance of scores from overlapping elements in <map-file>.

--wmean
    Weighted mean, scaled in proportion to the coverage of the <ref-file> element by each overlapping <map-file> element.

----------

    NON-SCORE:

    <ref-file> must have at least 3 columns. For --echo-map-id/echo-map-id-uniq, <map-file> must have at least 4 columns. For --echo-map-score, <map-file> must have at least 5 columns. For all others, <map-file> requires at least 3 columns.

--bases
    The total number of overlapping bases from <map-file>.

--bases-uniq
    The number of distinct bases from <ref-file>'s element covered by overlapping elements in <map-file>.

--bases-uniq-f
    The fraction of distinct bases from <ref-file>'s element covered by overlapping elements in <map-file>.

--count
    The number of overlapping elements in <map-file>.

--echo
    Print each line from <ref-file>.

--echo-map
    List all overlapping elements from <map-file>.

--echo-map-id
    List IDs from all overlapping <map-file> elements.

--echo-map-id-uniq
    List unique IDs from overlapping <map-file> elements.

--echo-map-range
    Print genomic range of overlapping elements from <map-file>.

--echo-map-score
    List scores from overlapping <map-file> elements.

--echo-map-size
    List the full length of every overlapping element.

--echo-overlap-size List lengths of overlaps.

--echo-ref-name
    Print the first 3 fields of <ref-file> using chrom:start-end format.

--echo-ref-row-id
    Print 'id-' followed by the line number of <ref-file>.

--echo-ref-size
    Print the length of each line from <ref-file>.

--indicator
    Print 1 if there exists an overlapping element in <map-file>, 0 otherwise.

SEE ALSO
The full documentation for bedmap is maintained as a Texinfo manual. If the info and bedmap programs are properly installed at your site, the command

    info bedmap

should give you access to the complete manual.